modbus:
  - name: Alfa
    type: tcp
    host: <AlfaIP>
    port: 502
    sensors:
      - name: Potenza Attiva Prelevata Istantanea
        device_class: power
        unit_of_measurement: W
        state_class: measurement
        data_type: uint16
        address: 2
        slave_count: 1
      - name: Potenza Attiva Immessa Istantanea
        device_class: power
        unit_of_measurement: W
        state_class: measurement
        data_type: uint16
        address: 12
        slave_count: 1
      - name: Potenza Attiva Prodotta Istantanea
        device_class: power
        unit_of_measurement: W
        state_class: measurement
        data_type: uint16
        address: 921
        slave_count: 1
      - name: Energia Attiva Prelevata Totale
        device_class: energy
        unit_of_measurement: Wh
        state_class: total_increasing
        data_type: uint32
        address: 5
        slave_count: 2
      - name: Energia Attiva Immessa Totale
        device_class: energy
        unit_of_measurement: Wh
        state_class: total_increasing
        data_type: uint32
        address: 15
        slave_count: 2
      - name: Energia Attiva Prodotta Totale
        device_class: energy
        unit_of_measurement: Wh
        state_class: total_increasing
        data_type: uint32
        address: 924
        slave_count: 2
      - name: Pot Att Prel Quart Media
        device_class: power
        unit_of_measurement: W
        state_class: measurement
        data_type: uint16
        address: 9
        slave_count: 1
      - name: Pot Att Imm Quart Media
        device_class: power
        unit_of_measurement: W
        state_class: measurement
        data_type: uint16
        address: 19
        slave_count: 1
      - name: Tot Energ Att Prel Giorno-1 F1
        device_class: energy
        unit_of_measurement: Wh
        state_class: total_increasing
        data_type: uint32
        address: 30
        slave_count: 2
      - name: Tot Energ Att Prel Giorno-1 F2
        device_class: energy
        unit_of_measurement: Wh
        state_class: total_increasing
        data_type: uint32
        address: 32
        slave_count: 2
      - name: Tot Energ Att Prel Giorno-1 F3
        device_class: energy
        unit_of_measurement: Wh
        state_class: total_increasing
        data_type: uint32
        address: 34
        slave_count: 2
      - name: Tot Energ Att Prel Giorno-1 F4
        device_class: energy
        unit_of_measurement: Wh
        state_class: total_increasing
        data_type: uint32
        address: 36
        slave_count: 2
      - name: Tot Energ Att Prel Giorno-1 F5
        device_class: energy
        unit_of_measurement: Wh
        state_class: total_increasing
        data_type: uint32
        address: 38
        slave_count: 2
      - name: Tot Energ Att Prel Giorno-1 F6
        device_class: energy
        unit_of_measurement: Wh
        state_class: total_increasing
        data_type: uint32
        address: 40
        slave_count: 2
      - name: Tot Energ Att Imm Giorno-1 F1
        device_class: energy
        unit_of_measurement: Wh
        state_class: total_increasing
        data_type: uint32
        address: 54
        slave_count: 2
      - name: Tot Energ Att Imm Giorno-1 F2
        device_class: energy
        unit_of_measurement: Wh
        state_class: total_increasing
        data_type: uint32
        address: 56
        slave_count: 2
      - name: Tot Energ Att Imm Giorno-1 F3
        device_class: energy
        unit_of_measurement: Wh
        state_class: total_increasing
        data_type: uint32
        address: 58
        slave_count: 2
      - name: Tot Energ Att Imm Giorno-1 F4
        device_class: energy
        unit_of_measurement: Wh
        state_class: total_increasing
        data_type: uint32
        address: 60
        slave_count: 2
      - name: Tot Energ Att Imm Giorno-1 F5
        device_class: energy
        unit_of_measurement: Wh
        state_class: total_increasing
        data_type: uint32
        address: 62
        slave_count: 2
      - name: Tot Energ Att Imm Giorno-1 F6
        device_class: energy
        unit_of_measurement: Wh
        state_class: total_increasing
        data_type: uint32
        address: 64
        slave_count: 2
      - name: Fascia oraria corrente
        data_type: uint16
        address: 203
        slave_count: 1
      - name: Data evento
        data_type: uint32
        address: 780
        slave_count: 2
      - name: Tempo residuo distacco
        data_type: uint16
        address: 782
        slave_count: 1